! Programme qui calcule pi
! par la formule pi/4 = 1 - 1/3 + 1/5 - 1/7 ...
! Auteur: M. Planeto. 03/03/2013
PROGRAM pi
USE operations
IMPLICIT NONE
   double precision :: s=4.
   integer*8 :: i=1,j=1,iter=0,nfin
   write(*,*) "Il me faut le nombre d'iterations"
   read(*,*) nfin
   DO WHILE (iter <= nfin)
      i = chgtsigne(i)
      j = j + 2
      s = s + 4.d0*divide(i,j)
      iter = iter + 1
      write(*,*) iter,s
   ENDDO
END PROGRAM pi
